Built LMS Help Center
API Reference and PlaygroundCourse BuilderModule Blocks

GET List course builder blocks

List stable Puck blocks for a course-builder module.

GET
/course-builder/modules/{module_id}/blocks

List stable Puck blocks for a course-builder module.

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

module_id*string

module_id path parameter

Response Body

application/json

curl -X GET "https://example.com/course-builder/modules/{module_id}/blocks"
{  "data": [    {      "block_id": "string",      "type": "string",      "props": {        "blockId": "string",        "content": [          {            "type": "string",            "props": {              "blockId": "string",              "content": [],              "zones": {                "property1": [                  {                    "type": "string",                    "props": {}                  }                ],                "property2": [                  {                    "type": "string",                    "props": {}                  }                ]              },              "property1": "string",              "property2": "string"            }          }        ],        "zones": {          "property1": [            {              "type": "string",              "props": {                "blockId": "string",                "content": [                  {                    "type": "string",                    "props": {}                  }                ],                "zones": {},                "property1": "string",                "property2": "string"              }            }          ],          "property2": [            {              "type": "string",              "props": {                "blockId": "string",                "content": [                  {                    "type": "string",                    "props": {}                  }                ],                "zones": {},                "property1": "string",                "property2": "string"              }            }          ]        },        "property1": "string",        "property2": "string"      },      "slots": [        "string"      ],      "location": {        "parent_block_id": "string",        "slot": "string",        "index": 0      }    }  ],  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}